Search documentation of polar_express

# PolarExpress.Schemas.CustomerPortalCustomer (polar_express v0.1.5)

Copy Markdown View Source

CustomerPortalCustomer

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.CustomerPortalCustomer{
      billing_address: PolarExpress.Schemas.Address.t() | nil,
      billing_name: String.t() | nil,
      created_at: DateTime.t() | nil,
      default_payment_method_id: String.t() | nil,
      email: String.t() | nil,
      email_verified: boolean() | nil,
      id: String.t() | nil,
      modified_at: DateTime.t() | nil,
      name: String.t() | nil,
      oauth_accounts:
        %{
          required(String.t()) =>
            PolarExpress.Schemas.CustomerPortalOAuthAccount.t()
        }
        | nil,
      tax_id: [String.t() | PolarExpress.Schemas.TaxIDFormat.t()] | nil,
      type: PolarExpress.Schemas.CustomerType.t() | nil
    }

- `billing_address` - Nullable.
- `billing_name` - Nullable.
- `created_at` - Creation timestamp of the object. Format: date-time.
- `default_payment_method_id` - Nullable.
- `email`
- `email_verified`
- `id` - The ID of the object. Format: uuid4.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `name` - Nullable.
- `oauth_accounts`
- `tax_id` - Nullable.
- `type` - Nullable.

## Functions

# schema_name()